# $Revision: 1.29 $, $Date: 2012/02/11 21:15:34 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTTP
%define		pnam	BrowserDetect
Summary:	HTTP::BrowserDetect - determine the Web browser, version, and platform from an HTTP user agent string
Summary(pl.UTF-8):	HTTP::BrowserDetect - moduł określający przeglądarkę WWW, wersję i platformę z nagłówka HTTP User-Agent
Name:		perl-HTTP-BrowserDetect
Version:	1.41
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b743ea93895196a677bc62dd7a85b455
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Data-Dump
BuildRequires:	perl-File-Slurp
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HTTP::BrowserDetect object does a number of tests on an HTTP user
agent string.  The results of these tests are available via methods of
the object.

%description -l pl.UTF-8
Obiekt HTTP::BrowserDetect wykonuje wiele testów na nagłówku HTTP
User-Agent. Wyniki tych testów są dostępne poprzez metody obiektu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/HTTP/BrowserDetect.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTTP-BrowserDetect.spec,v $
Revision 1.29  2012/02/11 21:15:34  zbyniu
- up to 1.41

Revision 1.28  2012/01/18 20:16:16  zbyniu
- up to 1.39

Revision 1.27  2009/11/20 12:23:58  amateja
- updated to 1.03

Revision 1.26  2009/09/15 07:07:22  amateja
- updated to 0.99

Revision 1.25  2008/07/27 22:37:04  arekm
- release 2

Revision 1.24  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.22  2004/11/03 22:30:26  paladine
- formatting

Revision 1.21  2004/08/08 18:30:30  adamg
- updated to 0.98

Revision 1.20  2004/05/07 01:09:21  ankry
- rel. 3

Revision 1.19  2004/05/06 18:01:29  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.17  2004/04/22 06:53:53  ankry
- license fixes and unification

Revision 1.16  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.15  2004/04/14 17:09:39  ankry
- License fix

Revision 1.14  2004/04/14 17:08:52  ankry
- cosmetics, unifications

Revision 1.13  2003/08/18 08:08:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:00:41  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.9  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:33:22  ankry
- massive attack: change CPAN URLs

Revision 1.7  2002/09/26 17:18:40  ankry
- added tests on bcond
- version 0.97

Revision 1.6  2002/08/14 23:38:58  qboosh
- pl description, new %%doc, release 3

Revision 1.5  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.4  2002/07/10 08:47:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.3  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.2  2002/04/05 19:36:28  qboosh
- fixed changelog
